2023-02-18   <bob.hepple@gmail.com> 3.2.1
	fix truncation with accented text: TextBuffer.set_text() does not need a len argument.
2022-12-20   <bob.hepple@gmail.com> 3.2.0
	Use sysconfig instead of distutils
2020-06-24   <bob.hepple@gmail.com> 3.1.9
	ui/about.ui: remove redundant translater credits - seems to have no effect here
	fix: some environments don't always show images in buttons
	add tooltip for Find button
	fix: printDialog needed import gi, os; was using old mktemp
	Change popup dialogs type to 'top-level' instead of 'popup'!!! -
	as documented on GtkWindow page - avoids the message: Window
	0x560942cc2d60 is a temporary window without parent, application
	will not be able to position it on screen.
2020-06-24   <bob.hepple@gmail.com> 3.1.8
	gpg-agent no longer uses GPG_AGENT_INFO
	updated French translation (Frederic Muller <fred@cm17.com>)
	repair menubar find functions
	fix: forward search not finding regex in newly selected item.
	fix: Backward search in root wrapping to end of root item.
2020-05-14   <bob.hepple@gmail.com> 3.1.7
	fix popup context menus (right click on tree)
	fix locale_dir when running from source tree
	add LC_ALL=zh_TW translation
	accomodate installation to any $prefix with setup.py
	fix tree_select_all
	fine tune python version requirement to >= 3.6.8 for epel8
	try for gtksourceview4 and failover to gtksourceview3
2020-05-03   <bob.hepple@gmail.com> 3.1.6
	response to RHBZ#1823599
2020-05-02   <bob.hepple@gmail.com> 3.1.5
	response to RHBZ#1823599
2020-04-19   <bob.hepple@gmail.com> 3.1.4
	Update more FSF addresses
	Change shebangs to absolute paths (fedora required)
	Change appdata to metainfo
2020-04-17   <bob.hepple@gmail.com> 3.1.3
	Update FSF address
2020-03-14   <bob.hepple@gmail.com> 3.1.3
	enable writing to file with spaces in the name
2020-03-09   <bob.hepple@gmail.com> 3.1.2
	when writing to org file, output goes to stdout rather than the file!
2020-03-08   <bob.hepple@gmail.com> 3.1.1
	doco goes in /usr/share/doc/gjots2 ie not versioned
	update tools to python3
	merge patches and .spec file from fedora-30 srpm
2020-03-02   <bob.hepple@gmail.com> 3.1.0
	Change to python3
	Change secondary windows to be of type 'popup' so they don't tile in swaywm
	Change Gdk.KEY_* to gi.repository.Gdk.Key_*
2020-02-18   <bob.hepple@gmail.com> 3.0.3
	specify python2
2017-12-23   <bob.hepple@gmail.com> 3.0.3
	display messages in title bar so we can dispense with status bar
2017-08-10    <bob.hepple@gmail.com> 3.0.3
	on_quit(): popping up a dialog to ask if a save should be done on_gjots_focus_out_event() which did the save anyway! Result was that the save was done irrespective and then again if the user pressed OK!! So just save the thing - if the user wants to exit without saving then kill the process.
2017-08-10    <bob.hepple@gmail.com> 3.0.2
	release 3.0.2
2017-05-17    <bob.hepple@gmail.com> 3.0.2
	gjots2org: don't use regex when looking for marker in column 1
2017-01-11    <bob.hepple@gmail.com> 3.0.2
	* fix paste to be able to do both primary or clipboard
	* bind Shift-Insert to 'paste primary'
2016-12-07    <bob.hepple@gmail.com> 3.0.2
	* remove setting changes in 'find' combobox - it was recursive
	* untabify
2016-02-27    <bob.hepple@gmail.com> 3.0.2
	* remove separate readonly timeout
2016-02-05    <bob.hepple@gmail.com> 3.0.2
	* give readonly feature its own alarm
2015-09-01    <bob.hepple@gmail.com> 3.0.1
	* port to PyGObject (requires Fedora-21 or Centos-7)
	* fix external editor function
	* derive tempfile from original filename
	* promote item in combox to pole position on re-use
	* improve alarm (use GObject.timeout_add
	* when the file is changed underneath us, move the new version aside
	* in _do_move_up do the removal backwards as there is breakage in gtk3-3.16.7-1.fc22.x86_64
	* fix _do_tree_paste
	* fix _do_tree_copy - it was disabled in readonly mode
	* fix tree sort - gtk+-3.16 does not export reorder to python -
	see https://bugzilla.gnome.org/show_bug.cgi?id=757796. Added a
	python reorder to work around it.

2015-02-20    <bob.hepple@gmail.com> Version 2.4.4
	* Find dialog should revert to 'forwards' at startup
2014-12-29    <bob.hepple@gmail.com>
	* Added xdg-open and kate as external editors
2014-12-18    <bob.hepple@gmail.com> Version 2.4.3
	* Added gjots2org, org2gjots and ability to open .org files
	* Added a test version of gjots.el based on org-mode for emacs (see doco)
2014-06-27    <bob.hepple@gmail.com>
	* Add ^t accelerator for timestamp
2014-05-24    <bob.hepple@gmail.com>
	* Add ^Insert accelerator for NewPage
	* add appdata file
2014-05-19    <bob.hepple@gmail.com>
	* Use {xdg,gnome,kde,exo}-open to open URL's if available
2014-04-01    <bob.hepple@gmail.com> Version 2.4.2
	* 2.4.2 released
2014-01-06    <bob.hepple@gmail.com>
	* Added localisation support for glade3
	* Allow timeouts up to 1hr
2013-12-30    <bob.hepple@gmail.com>
	* Fixed %files in spec file to add default final param
	* Installation in /bin is now working (f-19/20)
	* fold Redhat packaging improvements
	* add messages about versions of sourceview and glade being used
2013-10-30    <bob.hepple@gmail.com> Version 2.4.1
	* 2.4.1 released
	* Add support for gtk.builder (glade-3, fedora-18) in addition to
	gtk.xml (glade-2, Centos6)
	* Add a combobox on the find entry in the menubar with associated
	gconf entries.
	* Support gtksourceview3 as well as gtksourceview2 and gtksourceview
	* "move treeitem up/down" can now jump to adjacent parents
	* use a secondary treestore for cut & paste intead of a temporary
	file. A little more secure.
	* Fix gpg2 support
	* Added AutoSave after N seconds
	* Added last_file so that fileselect dialog can be primed
	* Added auto_read_only_timeout
2013-02-24    <bhepple@freeshell.org> Version 2.3.16
	* Add Swedish translation by Morgan Antonsson <morgan.antonsson@gmail.com>
	* Added ^R shortcut for read-only flag
	* Prevent drag & drop to before root item
	* Use xdg-open/gnome-open as URL handlers
	* rename gui's self.trace to debug to match the commandline option
	* Add support for gpg2 and gpg agent
	* if initial load fails then exit rather than display a blank
	* Support gedit as default external editor
	* Give focus to menubar_find_entry on find-next/find-prev and
	select all.
	* Jump to next/prev item on PgDn/PgUp at end/start of textBuffer
	* workaround GtkTextBuffer abherent behaviour on middle-button
	paste - see https://bugzilla.gnome.org/show_bug.cgi?id=673760
	* re.I doesn't work on unicode strings somehow. At least not at
	the moment. Maybe it's a bug in python, maybe it'll get fixed, who
	knows. Meanwhile, this fixes the problem for russian, at least.
	* Enable utf-8 in find/replace
	* Fix crash on: create new page, drag'n'drop, type data
	* add a pop-up to remind user to install pygtksourceview to get undo
2011-07-14    <bhepple@freeshell.org> Version 2.3.15
	* Added find entry in menubar - needs gtk-2.16 or later
2011-07-11    <bhepple@freeshell.org> Version 2.3.15
	* Added German translation thanks to Uwe Steinmann <uwe@steinmann.cx>
2011-07-06    <bhepple@freeshell.org> Version 2.3.14
	* Add "Find Previous" menu item S-C-g
	* "Find Previous" and "find Next" now set/unset the 'backwards'
	flag in 'preferences'
2011-07-04    <bhepple@freeshell.org> Version 2.3.14
	* Finish implemention of backwards search
	* Tighten regex for browser to look for xulrunner-2/.*firefox-
2011-06-18    <bhepple@freeshell.org> Version 2.3.14
	* MOD2_MASK was being set on all kb events - mask it out in
	treeview handler
	* ^End now goes to absolute last element. ^PgDn now goes to last
	visible element.
	* backwards search is implemented - it's backwards in tree but
	still forwards in text which is actually rather nice
2011-05-10    <bhepple@freeshell.org> Version 2.3.13
	* Fixed plain text, match-case find
	* Added Slovenian translation (thanks to Aleksa Šušulić)

2011-01-03    <bhepple@freeshell.org> Version 2.3.12
	* Spanish translation finalised

2010-12-19    <bhepple@freeshell.org> Version 2.3.11
	* Initial work on Spanish language support
	* Recent files support
	* Read-only mode makes inoperative tool buttons disappear
	* Set font dialog fixed
	* Preferences moved under Edit menu item
	* RPMs are installable on RHEL/Centos-5.5 (ie use md5 etc)
	* Dialogs now respond better to keyboard eg Enter = OK
	* If a file's timestamp changes while gjots2 is editing it then
	you are told about it and asked to confirm an overwrite.
	* 'Find' of an item now scrolls the treeview to that item
	* Add 'Find Next' menu item (^G)

2010-06-28    <bhepple@freeshell.org> Version 2.3.10
	* gtksourceview2 is supported. Smaller toolbar logos are used.

2009-08-10    <bhepple@freeshell.org> Version 2.3.9
	* An Undo/Redo function was added for the text buffer using
	gtksourceview.

2008-11-08    <bhepple@freeshell.org> Version 2.3.8
	* Updated dependency list in gjots2.gjots
	* Add -1 -2 -4 options to gjots2lpr
	* When `find' dialog pops up, make the 'search for' text selected
	so that it can be overwritten by just typing - no need to select
	and clear it.
	* Clean up 'invoke browser on url double-click'
	* Extend gjots2html to 8 levels (and cleanup)
	* Fix bugs reported by Redhat:
	* https://bugzilla.redhat.com/show_bug.cgi?id=464476: If gjots2 is
	not attached to a terminal (i.e. started from the Gnome menu as
	opposed to a command shell), it is not possible to open a gpg
	encrypted file.
	* https://bugzilla.redhat.com/show_bug.cgi?id=464510:
	vulnerability when processing a password.

2007-07-28    <bhepple@freeshell.org> Version 2.3.7
	* Changed to using glade-3 for UI - gjots.glade3 is now the XML
	file to load - this fixed the problems in the toolbar and menu
	icons

	* On double-clicking a http[s] URL, a browser is sought and run -
	preference is given to the setting of the BROWSER environment
	variable if set, then to an already running browser from the list
	"firefox", "konqueror", "epiphany", "opera", "dillo" and finally,
	to a runnable browser from the list. The URL is selected.

	* Removed the "New Page" and "Open" buttons from the top toolbar
	as they are not the most useful

	* Improved the coverage of the manual a little

	* Added a script to simplify printing a bit - gjots2lpr

	* Fixed a scoping problem when constructing the manual file name
	with a locale
	
2007-07-09    <bhepple@freeshell.org> Version 2.3.6
	* Added trace function enabled with the -t/--trace option

2007-07-08    <bhepple@freeshell.org>
	* Fixed bug in get_linear_next function that caused _find_next to
	stop searching too soon

2007-06-07	Bob Hepple <bhepple@freeshell.org> Version 2.3.5
	* various crashes fixed in gui.py
	* gjots2emacs added
	* Czech translation by Martin Sin <martin.sin@zshk.cz>
	
2006-03-05      Bob Hepple <bhepple@freeshell.org> Version 2.3.4
	* Italian translation by Raimondo Giammanco <rongten@member.fsf.org>
	
2006-02-26      Bob Hepple <bhepple@freeshell.org> Version 2.3.4
	* fix bug when accessing manual

2006-01-24     Bob Hepple <bhepple@freeshell.org> Version 2.3.3
	* First Russian version (LANG=ru). Translator is Sergey
	Bezdenezhnyh <sib-mail@mtu-net.ru>
	* Add no/nb versions of gjots2.gjots
	
2006-01-19    Bob Hepple <bhepple@freeshell.org> Version 2.3.2
	* First Norwegian version (LANG=nb_NO.utf8). Translator is Robert
	Emil Berge <robert@aldebaran.no>
	
2006-01-08    Bob Hepple <bhepple@freeshell.org> Version 2.3.1
	* First French version using message and manual files from Rui
	Nibau (RNB) rui.nibau@omacronides.com

2006-01-03    Bob Hepple <bhepple@freeshell.org> Version 2.3.0
	* Internationalisation (I18N) support. Translators are invited to
	contact the author. Note that French and Hungarian are already
	under way.
	
2005-12-22    Bob Hepple <bhepple@freeshell.org> Version 2.2.1
	* Bug 1250753 fixed - gjots crashes when demoting a newly created item

	* Bug 1376011 fixed - Merge destroys the tree.
	
	* Bug 1387036 fixed - UTF-8 encoding required in gjots2html output
	
2005-06-19    Gabriel Munoz <munozga@gmail.com> Version 2.2.0
	
	* The menus and toolbars have been re-organized for consistency.
	
	* Added different icons for many of the tool buttons.

	* Added options for viewing icons/text/both on the toolbars.
	* A context menu has been added when right-clicking the tree.
	
	* Tree sorting and text sorting has been separated.
	
	* The cut, copy, and paste commands have been consolidated to do
	the right thing with tree items and text based on what has the
	user focus.
	
	* We are now using a clipboard that will make copying and pasting
	from other applications into gjots2 and within gjots2 easier (and
	as it should be expected).
	
	* Made it easier for people to run gjots2 from its source directory.
	
	* Fixed hiding the toolbars to remove them from the screen, rather
	than just removing the icons and leaving dead screen space.
	
	* Fixed the export dialog cancel button to actually cancel the
	operation.
	
	* Fixed to handle the window manager close event so that gjots2
	will always have a clean exit and no changes will be lost.
	
	* Lots of code cleanup, e.g. removal of dead code.
	
	* Added a "Gjots FAQ" section to the documentation.
	
	* Many bug fixes for stability were made.
	
2004-12-09    <bhepple@freeshell.org> Version 2.1.1

	* setup.py fixed
	
	* Installation doco improved 
	
	* The sort dialog is not able to restore its settings - a bug in libglade? 

2004-11-30    <bhepple@freeshell.org> Version 2.1.0

	* Added "Merge Items" - combine selected items into one
	
	* Added "Split Item" - split item into 2
	
	* Added "Sort" function - sort items or text
	
	* Added "Print" function - print selected text or items
	
	* Added "Show All" function - explode the tree
	
	* Added "Hide All" function - implode the tree
	
	* "Remember password" option - no need to type the password (twice) when saving an encrypted file 

2004-06-01    <bhepple@freeshell.org> Version 2.0.1

	* (Bug & fix (thanks!) sent in by Andreas Reimer) gui.py:434:
	self._warp(newnode) Caused an error message on "New Item", changed
	it to self._warp(new_child)

	* (Bug & fix (thanks!) sent in by Andreas Reimer) gui.py:1081 was:
	self.gui.msg("No changes to save"), changed to self.msg("...")

	* (Bug sent in by Andreas Reimer & Thomas Zajic): file.py:228: on
	write_file() a reference to body[-1] caused an error. changed to:
	
		if body and not body[-1] == '\n'

	* (Bug sent in by Thomas Zajic): hard-coded references to "/usr"
	should be replaced with something more adjustable to allow
	installation "anywhere". Also added setup.py and uninstall.sh for
	systems without RPM or emerge.

	* Added setup.py and uninstall.sh for non-RPM, non-emerge systems

	* Reduced python requirement to 2.2 (untested - please confirm if it works for you!)

2004-05-22    <bhepple@freeshell.org> Version 2.0.0
	* Initial release of gjots2 for Python/GTK-2 
